# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: eros/api/accomplishment.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2
from google.protobuf import descriptor_pb2 as google_dot_protobuf_dot_descriptor__pb2
from weclikd.common import exclude_from_index_pb2 as weclikd_dot_common_dot_exclude__from__index__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='eros/api/accomplishment.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x1d\x65ros/api/accomplishment.proto\x12\x07weclikd\x1a\x1fgoogle/protobuf/timestamp.proto\x1a google/protobuf/descriptor.proto\x1a\'weclikd/common/exclude_from_index.proto\"\xc8\x01\n\x0e\x41\x63\x63omplishment\x12\x10\n\x02id\x18\x01 \x01(\x03\x42\x04\x80\xb5\x18\x01\x12\x13\n\x05title\x18\x02 \x01(\tB\x04\x80\xb5\x18\x01\x12\x19\n\x0b\x64\x65scription\x18\x03 \x01(\tB\x04\x80\xb5\x18\x01\x12\x10\n\x08user_ids\x18\x04 \x03(\x03\x12\x1c\n\x0elast_edited_by\x18\x05 \x01(\x03\x42\x04\x80\xb5\x18\x01\x12\x11\n\x03url\x18\x06 \x01(\tB\x04\x80\xb5\x18\x01\x12\x31\n\x07\x63reated\x18\x07 \x01(\x0b\x32\x1a.google.protobuf.TimestampB\x04\x80\xb5\x18\x01\"\x9e\x01\n\x1a\x41\x63\x63omplishmentWithProfiles\x12\n\n\x02id\x18\x01 \x01(\x03\x12\r\n\x05title\x18\x02 \x01(\t\x12\x13\n\x0b\x64\x65scription\x18\x03 \x01(\t\x12\x16\n\x0elast_edited_by\x18\x04 \x01(\x03\x12\x0b\n\x03url\x18\x05 \x01(\t\x12+\n\x07\x63reated\x18\x06 \x01(\x0b\x32\x1a.google.protobuf.Timestampb\x06proto3'
  ,
  dependencies=[google_dot_protobuf_dot_timestamp__pb2.DESCRIPTOR,google_dot_protobuf_dot_descriptor__pb2.DESCRIPTOR,weclikd_dot_common_dot_exclude__from__index__pb2.DESCRIPTOR,])




_ACCOMPLISHMENT = _descriptor.Descriptor(
  name='Accomplishment',
  full_name='weclikd.Accomplishment',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='id', full_name='weclikd.Accomplishment.id', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\200\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='title', full_name='weclikd.Accomplishment.title', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\200\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='description', full_name='weclikd.Accomplishment.description', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\200\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='user_ids', full_name='weclikd.Accomplishment.user_ids', index=3,
      number=4, type=3, cpp_type=2, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='last_edited_by', full_name='weclikd.Accomplishment.last_edited_by', index=4,
      number=5, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\200\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='url', full_name='weclikd.Accomplishment.url', index=5,
      number=6, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\200\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='created', full_name='weclikd.Accomplishment.created', index=6,
      number=7, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\200\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=151,
  serialized_end=351,
)


_ACCOMPLISHMENTWITHPROFILES = _descriptor.Descriptor(
  name='AccomplishmentWithProfiles',
  full_name='weclikd.AccomplishmentWithProfiles',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='id', full_name='weclikd.AccomplishmentWithProfiles.id', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='title', full_name='weclikd.AccomplishmentWithProfiles.title', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='description', full_name='weclikd.AccomplishmentWithProfiles.description', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='last_edited_by', full_name='weclikd.AccomplishmentWithProfiles.last_edited_by', index=3,
      number=4, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='url', full_name='weclikd.AccomplishmentWithProfiles.url', index=4,
      number=5, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='created', full_name='weclikd.AccomplishmentWithProfiles.created', index=5,
      number=6, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=354,
  serialized_end=512,
)

_ACCOMPLISHMENT.fields_by_name['created'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
_ACCOMPLISHMENTWITHPROFILES.fields_by_name['created'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
DESCRIPTOR.message_types_by_name['Accomplishment'] = _ACCOMPLISHMENT
DESCRIPTOR.message_types_by_name['AccomplishmentWithProfiles'] = _ACCOMPLISHMENTWITHPROFILES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Accomplishment = _reflection.GeneratedProtocolMessageType('Accomplishment', (_message.Message,), {
  'DESCRIPTOR' : _ACCOMPLISHMENT,
  '__module__' : 'eros.api.accomplishment_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.Accomplishment)
  })
_sym_db.RegisterMessage(Accomplishment)

AccomplishmentWithProfiles = _reflection.GeneratedProtocolMessageType('AccomplishmentWithProfiles', (_message.Message,), {
  'DESCRIPTOR' : _ACCOMPLISHMENTWITHPROFILES,
  '__module__' : 'eros.api.accomplishment_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.AccomplishmentWithProfiles)
  })
_sym_db.RegisterMessage(AccomplishmentWithProfiles)


_ACCOMPLISHMENT.fields_by_name['id']._options = None
_ACCOMPLISHMENT.fields_by_name['title']._options = None
_ACCOMPLISHMENT.fields_by_name['description']._options = None
_ACCOMPLISHMENT.fields_by_name['last_edited_by']._options = None
_ACCOMPLISHMENT.fields_by_name['url']._options = None
_ACCOMPLISHMENT.fields_by_name['created']._options = None
# @@protoc_insertion_point(module_scope)
